Bug 621194 - Review Request: python-webdav-library - Object-oriented Python WebDAV client-side library
Review Request: python-webdav-library - Object-oriented Python WebDAV client-...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 09:46 EDT by Stanislav Ochotnicky
Modified: 2010-09-01 01:56 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-webdav-library-0.2.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-31 23:24:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msuchy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2010-08-04 09:46:39 EDT
Spec URL: http://sochotni.fedorapeople.org/packages/python-webdav-library.spec
SRPM URL: http://sochotni.fedorapeople.org/packages/python-webdav-library-0.2.0-1.fc13.src.rpm

Description:
This project aims to provide an object-oriented Python WebDAV
client-side library based on Python`s standard httplib and Greg
Stein`s davlib. The client shall fully support RFCs 4918 (basic
specification), 3744 (access control), and 3253 (versioning).

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2379444
Comment 1 Miroslav Suchý 2010-08-04 11:15:44 EDT
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Python specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     tested in: devel/koji
     http://koji.fedoraproject.org/koji/taskinfo?taskID=2379632
 [x] Rpmlint output:
    python-webdav-library.src: W: spelling-error %description -l en_US httplib -> HTTP, halibut, stoplight                   
python-webdav-library.src: W: spelling-error %description -l en_US davlib -> Davis, David, davit                         
python-webdav-library.src: W: spelling-error %description -l en_US versioning -> version, versifying, versification      
python-webdav-library.noarch: W: spelling-error %description -l en_US httplib -> HTTP, halibut, stoplight                
python-webdav-library.noarch: W: spelling-error %description -l en_US davlib -> Davis, David, davit                      
python-webdav-library.noarch: W: spelling-error %description -l en_US versioning -> version, versifying, versification
 [x] Package is not relocatable.
 [x] Buildroot is correct
      {_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: ASL 2.0 and Python and Public Domain
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
     source package do not have license text
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
304f471910bc61b291e37c5676b42a01425cb20e3f8a88d1e7e5927abf3f672a  Python_WebDAV_Library-0.2.0.zip
304f471910bc61b291e37c5676b42a01425cb20e3f8a88d1e7e5927abf3f672a  /home/msuchy/rpmbuild/SOURCES/Python_WebDAV_Library-0.2.0.zip
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 0.2.0
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the tests pass


================
*** APPROVED ***
================
Comment 2 Stanislav Ochotnicky 2010-08-04 12:17:22 EDT
Thanks for the review.

New Package CVS Request
=======================
Package Name: python-webdav-library
Short Description: Object-oriented Python WebDAV client-side library
Owners: sochotni
Branches: devel f14 f13 f12
InitialCC:
Comment 3 Kevin Fenzi 2010-08-05 13:11:45 EDT
Git done (by process-git-requests).
Comment 4 Michael Schwendt 2010-08-20 15:27:01 EDT
> Requires(pre):       python-icalendar

So, you've sneaked in that explicit dependency post review :-( without commenting on it here during review and not in the package %changelog either, and it's an unresolvable dependency for F12, F13 and F14 for more than two weeks.

Is anything being done to resolve this?
Comment 5 Stanislav Ochotnicky 2010-08-23 06:43:41 EDT
(In reply to comment #4)
> > Requires(pre):       python-icalendar
> 
> So, you've sneaked in that explicit dependency post review :-( without
> commenting on it here during review and not in the package %changelog either,
> and it's an unresolvable dependency for F12, F13 and F14 for more than two
> weeks.
> 
> Is anything being done to resolve this?

Sorry, I made a mistake when importing SRPM. I had been testing use of Requires and Requires(pre) for completely unrelated reasons, and then my vacation started so I wasn't able to fix this until now. Pushing update now. I wouldn't guess this new package would get users so fast :-)
Comment 6 Fedora Update System 2010-08-23 06:52:03 EDT
python-webdav-library-0.2.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-webdav-library-0.2.0-2.fc12
Comment 7 Fedora Update System 2010-08-23 06:52:42 EDT
python-webdav-library-0.2.0-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/python-webdav-library-0.2.0-2.fc14
Comment 8 Fedora Update System 2010-08-23 06:52:47 EDT
python-webdav-library-0.2.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-webdav-library-0.2.0-2.fc13
Comment 9 Fedora Update System 2010-08-23 15:03:50 EDT
python-webdav-library-0.2.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-webdav-library'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-webdav-library-0.2.0-2.fc14
Comment 10 Fedora Update System 2010-08-31 23:24:43 EDT
python-webdav-library-0.2.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-08-31 23:27:17 EDT
python-webdav-library-0.2.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-09-01 01:56:29 EDT
python-webdav-library-0.2.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.